#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int t = inf.readInt(1, 100, "t");
    inf.readEoln();

    for (int test = 0; test < t; test++) {
        inf.readInt(1, 20, "n");
        inf.readSpace();
        inf.readInt(1, 5, "k");
        inf.readEoln();
    }

    inf.readEof();
}
